Summary: Helper to care about user filtering in sshd_config
Name: sshd-user-filter-helper
Version: 0.1
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash-base
Requires: openssh-server
Requires: systemd

%description
Helper tool that cares about sshd user filtering. Other packages or
scripts can register allowed users and request filtering of
users. Once anyone requests filtering all allowed users will be
allowed.

If no user is allowed then all users will be denied.

%prep
%setup -q

%build

%install
rm -rf "%{buildroot}"
mkdir -p %{buildroot}/{%{_sbindir},%{_sysconfdir}/sshd-user-filter/{allowed.users.d,req.filtering.d}}
cp -a sbin/. %{buildroot}/%{_sbindir}/.

%post
# apply config if it was there before we came
%{_sbindir}/sshd-user-filter-helper

%preun
%{_sbindir}/sshd-user-filter-helper disable

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/sshd-user-filter/*
%{_sbindir}/*
